### Function

# GLib FreeFunc

since: 2.0

#### Declaration

    void
    (* GFreeFunc) (
      gpointer data
    )

#### Description

Declares a type of function which takes an arbitrary data pointer argument and has no return value. It is not currently used in GLib or GTK.

Available since: 2.0

#### Parameters

`data`

  Type: `gpointer`

  A data pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.